# LimeSurvey

* https://manual.limesurvey.org/Installation_-_LimeSurvey_CE

Install deps.

```
sudo apt install zip unzip php php-mbstring mariadb-server php-mysql php-gd php-zip php-xml php-intl php-ldap php-imap
```

Configure OS:

```
sudo sed -i -e 's/short_open_tag = Off/short_open_tag = On/g' /etc/php/8.2/apache2/php.ini
sudo systemctl restart apache2

sudo mariadb-admin password
mariadb -uroot -p
CREATE USER 'limesurvey'@'localhost' IDENTIFIED BY 'mypassword';
CREATE DATABASE IF NOT EXISTS limesurvey;
GRANT ALL PRIVILEGES ON limesurvey.* TO 'limesurvey'@'localhost' IDENTIFIED BY 'mypassword';
```

Download latest version here:

* https://community.limesurvey.org/downloads/

```
wget https://download.limesurvey.org/latest-master/limesurvey6.6.2+240827.zip
unzip limesurvey6.6.2+240827.zip
cp -a limesurvey/* /var/www/html/limesurvey-form-libre-is/
cp -a limesurvey/.* /var/www/html/limesurvey-form-libre-is/

sudo chmod -R 755 /var/www/html/limesurvey-form-libre-is/tmp
sudo chmod -R 755 /var/www/html/limesurvey-form-libre-is/upload
sudo chmod -R 755 /var/www/html/limesurvey-form-libre-is/application/config
sudo chown -R www-data /var/www/html/limesurvey-form-libre-is/tmp
sudo chown -R www-data /var/www/html/limesurvey-form-libre-is/upload
sudo chown -R www-data /var/www/html/limesurvey-form-libre-is/application/config
```
